// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.definedterm;

import java.util.ArrayList;
import java.util.List;

import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.swt.dnd.DragSourceAdapter;
import org.eclipse.swt.dnd.DragSourceEvent;

import eu.etaxonomy.cdm.model.common.DefinedTermBase;

/**
 * @author l.morris
 * @date 10 Jan 2012
 *
 */
public class DefinedTermDragListener extends DragSourceAdapter {
	
	private Viewer viewer;

	/**
	 * 
	 */
	public DefinedTermDragListener(Viewer viewer) {
		this.viewer = viewer;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.DragSourceAdapter#dragStart(org.eclipse.swt.dnd.DragSourceEvent)
	 */
	@Override
	public void dragStart(DragSourceEvent event) {
		
		event.doit = true;// set to false if needed - default is true
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.DragSourceAdapter#dragFinished(org.eclipse.swt.dnd.DragSourceEvent)
	 */
	@Override
	public void dragFinished(DragSourceEvent event) {
		// TODO Auto-generated method stub
		super.dragFinished(event);
	}

	/* (non-Javadoc)
	 * @see org.eclipse.swt.dnd.DragSourceAdapter#dragSetData(org.eclipse.swt.dnd.DragSourceEvent)
	 */
	@Override
	public void dragSetData(DragSourceEvent event) {
		
		IStructuredSelection selection = (IStructuredSelection) viewer.getSelection();
		List<DefinedTermBase> definedTerms = new ArrayList<DefinedTermBase>();
		
		for (Object object : selection.toList()){
				definedTerms.add((DefinedTermBase)object);
			}
			
		if (TermTransfer.getInstance().isSupportedType(
				event.dataType)) {
			event.data = definedTerms.toArray(new DefinedTermBase[definedTerms.size()]);
		}
	}
	
	

}
