// $Id$
/**
 * Copyright (C) 2009 EDIT
 * European Distributed Institute of Taxonomy 
 * http://www.e-taxonomy.eu
 * 
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.editor.definedterm.input;

import java.util.List;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IPersistableElement;

import eu.etaxonomy.cdm.model.common.DefinedTermBase;

/**
 * @author l.morris
 * @date 3 Jan 2012
 *
 */
public abstract class AbstractDefinedTermEditorInput<T extends DefinedTermBase> implements IEditorInput {

	/**
	 * 
	 */
	public AbstractDefinedTermEditorInput() {
		super();
	}

	@Override
	public Object getAdapter(Class adapter) {
		return null;
	}

	@Override
	public boolean exists() {
		return false;
	}

	@Override
	public ImageDescriptor getImageDescriptor() {
		return null;
	}

	@Override
	public IPersistableElement getPersistable() {
		return null;
	}

	@Override
	public String getToolTipText() {
		return getName();
	}

	/**
	 * @return
	 */
	public abstract List<String> getTermClasses();
	
	public abstract T createTermInstance();
	
	public Class<? extends DefinedTermBase> getTermClass() {
		
		return createTermInstance().getClass();
	}

}