// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.definedterm.input;

import java.util.Arrays;
import java.util.List;

import eu.etaxonomy.cdm.model.description.Feature;
/**
 * @author l.morris
 * @date 11 Jan 2012
 *
 */
public class FeatureEditorInput extends AbstractDefinedTermEditorInput<Feature> {

	private List<String> termClasses = Arrays.asList(new String[]{
			Feature.class.getName()
	});
	/* (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getName()
	 */
	@Override
	public String getName() {
		return "Feature";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.definedterm.input.AbstractDefinedTermEditorInput#getTermClasses()
	 */
	@Override
	public List<String> getTermClasses() {
		return termClasses;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.definedterm.input.AbstractDefinedTermEditorInput#createTermInstance()
	 */
	@Override
	public Feature createTermInstance() {
		return Feature.NewInstance();
	}

}
