// $Id$
/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.definedterm.input;

import java.util.Arrays;
import java.util.List;

import eu.etaxonomy.cdm.model.location.Continent;
import eu.etaxonomy.cdm.model.location.NamedArea;
import eu.etaxonomy.cdm.model.location.TdwgArea;
import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;

/**
 * @author l.morris
 * @date 8 Dec 2011
 *
 */
public class NamedAreaEditorInput extends AbstractDefinedTermEditorInput<NamedArea> {

	private List<String> termClasses = Arrays.asList(new String[]{
			NamedArea.class.getName(), 
			TdwgArea.class.getName(),
			WaterbodyOrCountry.class.getName(),
			Continent.class.getName()
	});
	
	/* (non-Javadoc)
	 * @see org.eclipse.ui.IEditorInput#getName()
	 */
	@Override
	public String getName() {
		return "Named Area";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.definedterm.AbstractDefinedTermEditorInput#getTermClasses()
	 */
	@Override
	public List<String> getTermClasses() {
		return termClasses;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.definedterm.AbstractDefinedTermEditorInput#createTermInstance()
	 */
	@Override
	public NamedArea createTermInstance() {
		 return NamedArea.NewInstance();
	}
}
