/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;

/**
 * This bridge delegates the update events to specific implementors
 *
 * TODO make this a bean
 *
 * @author n.hoffmann
 * @created 01.04.2009
 * @version 1.0
 */
public class DataChangeBridge {
	
	/**
	 * <p>handleDataChange</p>
	 *
	 * @param changeEvents a {@link eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap} object.
	 * @param behavior a {@link eu.etaxonomy.taxeditor.model.IDataChangeBehavior} object.
	 */
	public static void handleDataChange(CdmDataChangeMap changeEvents, IDataChangeBehavior behavior){
		behavior.reactOnDataChange(changeEvents);
	}
	
}
