// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.model;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.ui.IMemento;


/**
 * <p>IContextListener interface.</p>
 *
 * @author n.hoffmann
 * @created Mar 23, 2010
 * @version 1.0
 */
public interface IContextListener {

	/**
	 * <p>contextAboutToStop</p>
	 *
	 * @param monitor a {@link org.eclipse.core.runtime.IProgressMonitor} object.
	 * @param memento a {@link org.eclipse.ui.IMemento} object.
	 */
	public abstract void contextAboutToStop(IMemento memento, IProgressMonitor monitor);

	/**
	 * <p>contextStop</p>
	 *
	 * @param monitor a {@link org.eclipse.core.runtime.IProgressMonitor} object.
	 * @param memento a {@link org.eclipse.ui.IMemento} object.
	 */
	public abstract void contextStop(IMemento memento, IProgressMonitor monitor);

	/**
	 * <p>contextStart</p>
	 *
	 * @param monitor a {@link org.eclipse.core.runtime.IProgressMonitor} object.
	 * @param memento a {@link org.eclipse.ui.IMemento} object.
	 */
	public abstract void contextStart(IMemento memento, IProgressMonitor monitor);

	public abstract void contextRefresh(IProgressMonitor monitor);
	
	/**
	 * <p>workbenchShutdown</p>
	 *
	 * @param memento a {@link org.eclipse.ui.IMemento} object.
	 * @param monitor a {@link org.eclipse.core.runtime.IProgressMonitor} object.
	 */
	public abstract void workbenchShutdown(IMemento memento, IProgressMonitor monitor);
}
