// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IGrantedAuthorityService;
import eu.etaxonomy.cdm.api.service.IGroupService;
import eu.etaxonomy.cdm.model.common.GrantedAuthorityImpl;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.grantedAuthority.GrantedAuthorityDetailWizardPage;
import eu.etaxonomy.taxeditor.ui.section.group.GroupDetailWizardPage;

/**
 * @author a.kohlbecker
 * @created Sept 13 2012
 */
public class NewGrantedAuthorityWizard extends AbstractNewEntityWizard<GrantedAuthorityImpl> {
	
	private GrantedAuthorityDetailWizardPage authorityPage;
	
	/* (non-Javadoc)
	 * @see org.eclipse.jface.wizard.Wizard#addPages()
	 */
	@Override
	public void addPages() {
		authorityPage = new GrantedAuthorityDetailWizardPage(formFactory, getConversationHolder(), getEntity());
		super.addPage(authorityPage);
	}


	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard#saveEntity()
	 */
	@Override
	protected void saveEntity() {
		CdmStore.getService(IGrantedAuthorityService.class).saveOrUpdate(getEntity());
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard#createNewEntity()
	 */
	@Override
	protected GrantedAuthorityImpl createNewEntity() {
		return GrantedAuthorityImpl.NewInstance();
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard#getEntityName()
	 */
	@Override
	protected String getEntityName() {
		return "GrantedAuthority";
	}
}
