// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.newWizard;

import eu.etaxonomy.cdm.api.service.IReferenceService;
import eu.etaxonomy.cdm.model.reference.Reference;
import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
import eu.etaxonomy.taxeditor.store.CdmStore;
import eu.etaxonomy.taxeditor.ui.section.reference.ReferenceWizardPage;

/**
 * <p>NewReferenceWizard class.</p>
 *
 * @author n.hoffmann
 * @created Jun 1, 2010
 * @version 1.0
 */
public class NewReferenceWizard extends AbstractNewEntityWizard<Reference> {
	
	private ReferenceWizardPage referencePage;
	
	/** {@inheritDoc} */
	@Override
	public void addPages() {
		// TODO disabling external service wizard page for now
//		addPage(new ExternalReferenceServiceWizardPage(formFactory, getConversationHolder(), entity));
		referencePage = new ReferenceWizardPage(formFactory, getConversationHolder(), getEntity());
		addPage(referencePage);
	}

	/** {@inheritDoc} */
	@Override
	protected Reference createNewEntity() {
		return ReferenceFactory.newGeneric();
	}

	/** {@inheritDoc} */
	@Override
	protected void saveEntity() {
		CdmStore.getService(IReferenceService.class).saveOrUpdate(getEntity());
	}

	/** {@inheritDoc} */
	@Override
	public void setEntity(Reference entity) {
		super.setEntity(entity);
		referencePage.getDetailElement().setEntity(entity);
	}

	@Override
	protected String getEntityName() {
		return "Reference";
	}
}
