// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.description.detail;

import eu.etaxonomy.cdm.model.description.Distribution;
import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
import eu.etaxonomy.cdm.model.location.NamedArea;
import eu.etaxonomy.taxeditor.ui.combo.TermComboElement;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;

/**
 * <p>DistributionDetailElement class.</p>
 *
 * @author n.hoffmann
 * @created Jun 10, 2010
 * @version 1.0
 */
public class DistributionDetailElement extends
		AbstractDetailedDescriptionDetailElement<Distribution> {

	private EntitySelectionElement<NamedArea> selection_namedArea;
	private TermComboElement<PresenceAbsenceTermBase> combo_presenceAbsence;
	

	/**
	 * <p>Constructor for DistributionDetailElement.</p>
	 *
	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param entity a {@link eu.etaxonomy.cdm.model.description.Distribution} object.
	 * @param style a int.
	 */
	public DistributionDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement, Distribution entity, int style) {
		super(formFactory, formElement, entity, style);
	}
	
	/** {@inheritDoc} */
	@Override
	protected void createControls(ICdmFormElement formElement,
			Distribution entity, int style) {
		selection_namedArea = formFactory.createSelectionElement(NamedArea.class, getConversationHolder(),
				formElement, "Area",
				entity.getArea(), EntitySelectionElement.NOTHING, style);
        combo_presenceAbsence = formFactory.createTermComboElement(PresenceAbsenceTermBase.class, this, "Distribution Status", entity.getStatus(), style);
        
	}

	/** {@inheritDoc} */
	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == selection_namedArea){
			getEntity().setArea(selection_namedArea.getEntity());
		}else if(eventSource == combo_presenceAbsence){
			getEntity().setStatus(combo_presenceAbsence.getSelection());
		}
	}

	
}
