// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.ui.section.grantedAuthority;

import eu.etaxonomy.cdm.model.common.GrantedAuthorityImpl;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;

/**
 * @author n.hoffmann
 * @author a.kohlbecker
 * @created Mar 9, 2011
 * @version 1.0
 */
public class GrantedAuthorityDetailElement extends AbstractCdmDetailElement<GrantedAuthorityImpl> {

	private TextWithLabelElement text_authority;
	
	/**
	 * @param formFactory
	 * @param formElement
	 */
	public GrantedAuthorityDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	@Override
	protected void createControls(ICdmFormElement formElement,
			GrantedAuthorityImpl entity, int style) {
		text_authority = formFactory.createTextWithLabelElement(formElement, "Authority", entity.getAuthority(), style);
		
	}

	@Override
	public void handleEvent(Object eventSource) {
		if(eventSource == text_authority){
			getEntity().setAuthority(text_authority.getText());
		}
		
	}


	
}
