/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.key;

import org.eclipse.swt.SWT;

import eu.etaxonomy.cdm.model.description.PolytomousKey;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.CdmPropertyChangeEvent;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractIdentifiableEntityDetailElement;

/**
 * @author n.hoffmann
 * 
 */
public class PolytomousKeyDetailElement extends
		AbstractIdentifiableEntityDetailElement<PolytomousKey> {

	public PolytomousKeyDetailElement(CdmFormFactory formFactory,
			ICdmFormElement formElement) {
		super(formFactory, formElement);
	}

	@Override
	protected void createControls(ICdmFormElement formElement,
			PolytomousKey entity, int style) {
	     toggleable_cache = formFactory.createToggleableTextField(formElement,
	             "Title Cache", entity.getTitleCache(),
	             entity.isProtectedTitleCache(), SWT.NULL);
	}
	
	public String getText() {
	    return toggleable_cache.getText();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * eu.etaxonomy.taxeditor.section.AbstractCdmDetailElement#handleEvent(java
	 * .lang.Object)
	 */
	@Override
	public void handleEvent(Object eventSource) {
		handleToggleableCacheField();
		firePropertyChangeEvent(new CdmPropertyChangeEvent(this, null));
	}
}
