/**
 * 
 */
package eu.etaxonomy.taxeditor.ui.section.supplemental;

import java.util.Collection;


import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
import eu.etaxonomy.cdm.model.common.AnnotatableEntity;
import eu.etaxonomy.cdm.model.common.Marker;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;

/**
 * <p>MarkerSection class.</p>
 *
 * @author nho
 * @version $Id: $
 */
public class MarkerSection extends AbstractEntityCollectionSection<AnnotatableEntity, Marker> {

	/**
	 * <p>Constructor for MarkerSection.</p>
	 *
	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.element.ICdmFormElement} object.
	 * @param style a int.
	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.element.CdmFormFactory} object.
	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
	 */
	public MarkerSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
		super(cdmFormFactory, conversation, parentElement, "Marker", style);
	}

	/** {@inheritDoc} */
	@Override
	public Marker createNewElement() {
		return Marker.NewInstance();
	}

	/** {@inheritDoc} */
	@Override
	public Collection<Marker> getCollection(AnnotatableEntity entity) {
		return entity.getMarkers();
	}

	/** {@inheritDoc} */
	@Override
	public String getEmptyString() {
		return "No markers yet.";
	}

	/** {@inheritDoc} */
	@Override
	protected String getTooltipString() {
		return "Create a new marker";
	}

	/** {@inheritDoc} */
	@Override
	public void addElement(Marker element) {
		getEntity().addMarker(element);
	}

	/** {@inheritDoc} */
	@Override
	public void removeElement(Marker element) {
		getEntity().removeMarker(element);
	}

}
